Start typing to search.

API Reference

Get a task

View Markdown
GET /api/tasks/{id}

Get a task

Operation IDgetTask

Authentication

  • BearerAuth·http bearer·API key token (envoy_<hex>). Create keys from Settings → API Keys — see Using the API.

Path parameters

idintegerrequired

Resource ID

Success response body

200Task with current YAML content

Task with current YAML content

Content typeapplication/json

responseobject
8 properties
idinteger
namestring
descriptionstring | null
current_versioninteger
statusstring
created_atstring · date-time
updated_atstring · date-time
current_yamlstring | null

Error responses

404Resource not found

Resource not found

Content typeapplication/json

responseobject
2 properties
errorstring
messagestring
Example response
{
  "error": "NOT_FOUND",
  "message": "Resource not found"
}